function C=GetKansaRecoveryMatrix(trialpoints, dirpoints, lappoints, Type, Par, Scale)
%
%  Full discrete recovery matrix generation, Kansa case
%
global RBFtype;  % type of RBF see frbf.m
global RBFpar;   % parameter of RBF, see frbf.m
global RBFscale; % scale of RBF, see frbf.m
%
RBFtype=Type
RBFscale=Scale
RBFpar=Par;
%
disp('Starting full kernel-based solution, unsymmetric')
tic
A=[-laplacekermat(lappoints,trialpoints); kermat(dirpoints,trialpoints)];
B=kermat(trialpoints, trialpoints);
% C=B*pinv(A,1.0e-12);
C=(A'\B')';
tim=toc;
disp(sprintf('Elapsed time: %f\n',tim));