function normresult=ErrorNormOfVector(Cvector, evalpoint, lappoints, dirpoints,  SobOrder, SobScale)
% 
% get error norm for given coefficient vector Cvector of discrete reproduction
% formula. The lappoints precede the dirpoints, and the evaluation is at
% evalpoint. We just prepare here for calling SobNormOfFunctional.m
% 
EDirPoints=[evalpoint; dirpoints];
nlap=length(lappoints(:,1));
EDirWeights=[-1; Cvector(nlap+1:end,1)];
ELapPoints=lappoints;
ELapWeights=-Cvector(1:nlap,1);
%
normresult=SobNormOfFunctional(ELapPoints, ELapWeights, EDirPoints, EDirWeights, SobOrder, SobScale);
